Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class XMLSchemaGrammar

    java.lang.Object
      com.sun.msv.grammar.xmlschema.XMLSchemaGrammar

All Implemented Interfaces:
  Grammar, java.io.Serializable

public class XMLSchemaGrammar
extends java.lang.Object
implements Grammar

set of XML Schema. This set can be used to validate a document.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`Expression` | `topLevel`

Constructor Summary
`XMLSchemaGrammar()`
`XMLSchemaGrammar(ExpressionPool pool)`

Method Summary
`XMLSchemaSchema` | `getByNamespace(java.lang.String targetNamesapce)` gets XMLSchemaSchema object that has the given target namespace.
`ExpressionPool` | `getPool()` gets ExpressionPool object which was used to construct this grammar.
`Expression` | `getTopLevel()` gets top-level expression.
`java.util.Iterator` | `iterateSchemas()` returns an Iterator that enumerates XMLSchemaSchema objects that are defined in this grammar.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### topLevel

    public Expression topLevel

Constructor Detail

### XMLSchemaGrammar

    public XMLSchemaGrammar()

### XMLSchemaGrammar

    public XMLSchemaGrammar(ExpressionPool pool)

Method Detail

### getPool

    public final ExpressionPool getPool()

  Description copied from interface: `Grammar`
  gets ExpressionPool object which was used to construct this grammar. Never return null.

  Specified by:
    `getPool` in interface `Grammar`

### getTopLevel

    public final Expression getTopLevel()

  Description copied from interface: `Grammar`
  gets top-level expression. This expression shall be the constraint over the document element. Never return null.

  Specified by:
    `getTopLevel` in interface `Grammar`

### getByNamespace

    public XMLSchemaSchema getByNamespace(java.lang.String targetNamesapce)

  gets XMLSchemaSchema object that has the given target namespace.

  Returns:
    null if no schema is associated with that namespace.

### iterateSchemas

    public java.util.Iterator iterateSchemas()

  returns an Iterator that enumerates XMLSchemaSchema objects that are defined in this grammar.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD